- name: Install nginx
  ansible.builtin.apt:
    pkg:
      - nginx
    state: present

- name: "Configure sites-available"
  ansible.builtin.copy:
    content: "{{ item.config }}"
    dest: "{{ nginx_config_root }}/sites-available/{{ item.name }}"
    mode: 0644
  notify: Restart nginx
  loop: "{{ nginx_sites }}"

- name: "Configure sites-enabled"
  ansible.builtin.file:
    src: "{{ nginx_config_root }}/sites-available/{{ item.name }}"
    dest: "{{ nginx_config_root }}/sites-enabled/{{ item.name }}"
    state: link
  notify: Restart nginx
  loop: "{{ nginx_sites }}"
